Subject: Re: [PATCH 0/6] Bonding simplifications and netns support

From: Eric Dumazet <[email-masked]>
Date: Fri, 30 Oct 2009 07:38:33 +0100

David Miller a écrit :
> From: [email-masked] (Eric W. Biederman)
> Date: Thu, 29 Oct 2009 17:16:54 -0700
> 
>> I recently had it pointed out to me that the bonding driver does not
>> work in a network namespace.  So I have simplified the bonding driver
>> a bit, added support for ip link add and ip link del, and finally made
>> the bonding driver work in multiple network namespaces.
>>
>> The most note worthy change in the patchset is the addition of support
>> in the networking core for registering a sysfs group for a device.
>>
>> Using this in the bonding driver simplifies the code and removes a
>> userspace race between actions triggered by the netlink event and the
>> bonding sysfs attributes appearing.
> 
> I have no objections to these patches, but I'd like the bonding
> folks to have a chance to look at it before I apply to net-next-2.6
> 
> One question though, are you sure this clever extra slot scheme
> in patch #1 works for, f.e., a bond of wireless devices?  It seems
> like it would work out, but I wanted to ask to make sure you
> considered that case.
> 

I have patches against bond driver for unregister_netdevice_queue() stuff,
I'll wait for Eric work being committed first.

Thanks